/**
*	Questa classe svolge funzioni da contenitore per n oggetto Connection
*	e per alcuni suoi 'attributi'.<br>
*
*/


import java.sql.*;


public class PoolableConnection
{
  //Oggetto Connection
  private Connection con = null;
  // Flag che indica se la connessione  in uso o meno
  private boolean locked = false;
  private long calledTime =  0;




  //Il Costruttore imposta il valore della connessione
  public PoolableConnection(Connection aConnection)
  {
    if(aConnection != null)
    {
      con = aConnection;
    }
  }

  //Restituisce il riferimento alla connessione JDBC
  public Connection getConnection()
  {
  	return con;
  }


  //Imposta lo stato dell'oggetto corrente
  public void setLocked(boolean lock)
  {
    locked = lock;
    calledTime = System.currentTimeMillis();
  }

  //Legge lo stato dell'oggetto corrente
   public boolean isLocked()
   {
    return locked;
   }


   //Chiude la connessione JDBC
    public void close() throws SQLException
    {
        try
    	{
	     con.close();
		}
		catch(SQLException sqle)
		{
		 System.err.println(sqle.getMessage());
		}
    }

    //ci dice da quanto tempo questa connessione  in uso
    public long getTimeUsed()
    {
	return System.currentTimeMillis() - calledTime;
    }
    
 

}
